function earlyVlate(exper)

if strcmp(exper, 'E2')
    load('../datMats/E2_catchAngEarly.mat');
    load('../datMats/E2_catchAngMid.mat');
    load('../datMats/E2_catchAngLate.mat');
    N = 30;
else
    load('../datMats/E1_catchAngEarly.mat');
    load('../datMats/E1_catchAngMid.mat')
    load('../datMats/E1_catchAngLate.mat');
    N = 28;
end

%get nVal x nK x nP arrays of CA settings
[earlyCA] =...
datCell2Mat(catchAngEarly, 0);
[midCA] =...
datCell2Mat(catchAngMid, 0);
[lateCA] =...
datCell2Mat(catchAngLate, 0);

%average over valence [nPs x nK]
earlyCA = squeeze(mean(earlyCA, 1))';
midCA = squeeze(mean(midCA, 1))';
lateCA = squeeze(mean(lateCA, 1))';
csvwrite([exper, 'sess1CA.csv'], earlyCA);
csvwrite([exper, 'sess3CA.csv'], lateCA);
k = [25 100 400];

% average over P's
earlyCAmean = mean(earlyCA, 1);
earlyCAsd = std(earlyCA, 0, 1);
midCAmean = mean(midCA, 1);
midCAsd = std(midCA, 0, 1);
lateCAmean = mean(lateCA, 1);
lateCAsd = std(lateCA, 0, 1);


% t-tests on early vs late
[H, P, CI] = ttest(lateCA-earlyCA);


if strcmp(exper, 'E1')
    figure(1)
else
    figure (2)
end

plot(k, mean(earlyCAmean, 1), 'r<', 'markersize', 10, 'markerfacecolor', 'r');
hold on;
plot(k, mean(midCAmean, 1), 'b^', 'markersize', 10, 'markerfacecolor', 'b'); 
plot(k, mean(lateCAmean, 1), 'g>', 'markersize', 10, 'markerfacecolor', 'g'); 
errorbar(k, mean(earlyCAmean, 1), earlyCAsd/sqrt(N), 'r')
errorbar(k, mean(midCAmean, 1), midCAsd/sqrt(N), 'b')
errorbar(k, mean(lateCAmean, 1), lateCAsd/sqrt(N), 'g')
legend('Sess = 1', 'Sess = 2', 'Sess = 3')
set(gca, 'fontsize', 20);
xlabel('K'); ylabel('Catcher Angle (degrees)')
hold off; 
axis([0 425 20 55])
