function p = pFunc(arcAngles, pFitParams)

% Closed form Function for evaluating probcatch given fitted params as a function of catcher size
% Uses best fitting logistPoly2 fun form
% 
% arcAngles = catcher angles at which to evaluate probability
% pFitParams [nK x 2] array of params for fit to p(Catch curve)
%
% p = [nK x 1] probabilty of catch



% logistPoly2 form
a = pFitParams(:, 1);
b = pFitParams(:, 2);
poly2=a.*arcAngles+b.*arcAngles.^2;
p = 2./(1+exp(-poly2))-1;
    
