function plotFixPs

load E1_fitFixPs;
    E1_fitFixPs = fitFixPs;
    E1_fitFixP_AVG = mean(E1_fitFixPs);
    E1_fitFixP_SD = std(E1_fitFixPs);
    N_E1 = length(E1_fitFixPs);
load E2_fitFixPs;
    E2_fitFixPs = fitFixPs;
    E2_fitFixP_AVG = mean(E2_fitFixPs);
    E2_fitFixP_SD = std(E2_fitFixPs);
    N_E2 = length(E2_fitFixPs);
load E3_fitFixPs;
    E3_fitFixPs = fitFixPs;
    E3_fitFixP_AVG = mean(E3_fitFixPs);
    E3_fitFixP_SD = std(E3_fitFixPs);
    N_E3 = length(E3_fitFixPs);
 
E1_fitFixP_SE = E1_fitFixP_SD/sqrt(N_E1)
E2_fitFixP_SE = E2_fitFixP_SD/sqrt(N_E2)
E3_fitFixP_SE = E3_fitFixP_SD/sqrt(N_E3)


% stats
% one way anova

[P,ANOVATAB] = anova1([E1_fitFixPs  E2_fitFixPs E3_fitFixPs],...
    [ones(1, N_E1) 2*ones(1,  N_E2) 3*ones(1,  N_E3)])

% post-hoc t-tests
[H12,P12,CI12,STATS12] = ttest2(E1_fitFixPs, E2_fitFixPs)
[H13,P13,CI13,STATS13] = ttest2(E1_fitFixPs, E3_fitFixPs)
[H23,P23,CI23,STATS23] = ttest2(E2_fitFixPs, E3_fitFixPs)

figure;
bar([E1_fitFixP_AVG, E2_fitFixP_AVG, E3_fitFixP_AVG]);
hold on;
errorbar([E1_fitFixP_AVG, E2_fitFixP_AVG, E3_fitFixP_AVG],...
         [E1_fitFixP_SD, E2_fitFixP_SD, E3_fitFixP_SD], 'linestyle', 'none');
hold off;     
     
 