function [varByCond, varByCondEarly, varByCondMid, varByCondLate] = getVarByCond(outDat2, var2Get)
% Recover particular variable (specified in var2Get) from outDat2 data
% generated from stripData2 and return in valence x K condition format
%
% varByCond will be a 3 x 3 cell with each entry a 24 x 1 array of variable
% values. 3 rows: valence = [-1 0 1]; 3 cols = k = [25 100 400].

%pointsInd = 18;
kInd = 4;
GLInd = 19;%pointsInd +1;
%hitInd = pointsInd+2;
%prevHitInd = pointsInd+3;
nFiles = 9;
kVals = [25 100 400];
nK = length(kVals);
GL = [-1 0 1];
nGL = length(GL);
nTrialsPerSess = 24;
nSess = 3;


%---- take to new func----

% get desired variable by conditions
varByCond = cell(nGL, nK);
varByCondEarly = cell(nGL, nK);
varbyCondLate = cell(nGL, nK);
varDat = outDat2(:, var2Get);
for i = 1:nGL
    for j = 1:nK
        indKvals = find(outDat2{i, kInd} == kVals(j));
        indKvalsEarly = find(outDat2{i, kInd}(1:nTrialsPerSess) == kVals(j));
        indKvalsMid = find(outDat2{i, kInd}((nSess-2)*nTrialsPerSess+1:(nSess-1)*nTrialsPerSess) == kVals(j));
        indKvalsLate = find(outDat2{i, kInd}((nSess-1)*nTrialsPerSess+1:nSess*nTrialsPerSess) == kVals(j));
        varByCond{i, j} = varDat{i}(indKvals);
        varByCondEarly{i, j} = varDat{i}(indKvalsEarly);
        varByCondMid{i, j} = varDat{i}(nTrialsPerSess+indKvalsMid);
        varByCondLate{i, j} = varDat{i}(2*nTrialsPerSess+indKvalsLate);
    end
end