function getDatWrapper(saveFlag)
% script to get load/setup data structures for ME exp using E3
% data (collected 2017)

% Step 1: Use getDat to read in all data from .txt files - note this is the
% full raw data set i.e. a (1 x nP) cell array of (nVal x nK) cell arrays
% each entry of which is nReps x 1
% Angular position of dot entry to occluder (XXX_dotIntoAng.mat)
getDat('E3', 11, saveFlag);
% P set angular extent of catcher (XXX_catchAng.mat)
getDat('E3', 17, saveFlag);
% Points scored  (XXX_points.mat)
getDat('E3', 18, saveFlag);


% Step 2 - convert points and CA cells recovered from getDat to arrays
% Saved outputs: 
%         XXX_meanArrayXXX.mat are nPs x nValence x nK arrays of averages
%         over nReps reps
%         XXX_sdArrayXXX.mat are nPs x nValence x nK arrays of sds
%         over nReps reps
%         XXX_meanArrayXXXComp.mat are nValence x nK arrays of averages
%         over the nPs dimension of XXX_meanArrayXXX.mat (i.e. mean over
%         Ps)
%         XXX_sdArrayXXXComp.mat are nValence x nK arrays of sds
%         over the nPs dimension of XXX_meanArrayXXX.mat  (i.e. sd over 
%         Ps)

% These are needed for calcMaxExp
load('../datMats/E3_points.mat'); E3_points = points; 
load('../datMats/E3_catchAng.mat'); E3_catchAng = catchAng;
datCell2Mat(E3_points, 1, '../datMats/E3_meanArrayPoints', 'E3_sdArrayPoints');
datCell2Mat(E3_catchAng, 1, '../datMats/E3_meanArrayCA', 'E3_sdArrayCA');


