function y = probFunc(params, funcform, arcAngles)

% Closed form Function for to fit probcatch as a function of catcher size
% can use differnt func forms. Best seems ot be quadratic polymonial logistic
% logistPoly2 

if strcmp(funcform,'logistic')
    a = params(1);
    b = params(2);
    y = b./(1+exp(-a*arcAngles)) - b/2;
    
elseif strcmp(funcform,'poly3')
    a = params(1);
    b = params(2);
    c = params(3);
    y = a*arcAngles+b*arcAngles.^2+c*arcAngles.^3;
    
elseif strcmp(funcform,'poly4')
    a = params(1);
    b = params(2);
    c = params(3);
    d = params(4);
    y = a*arcAngles+b*arcAngles.^2+c*arcAngles.^3+d*arcAngles.^4;

elseif strcmp(funcform,'logist')
    a = params(1);
    b = params(2);
    c = params(3);
    
    y = a./(1+exp(-b*(arcAngles-c))); 

elseif strcmp(funcform,'logistPoly1')
    a = params(1);
    poly2=a*arcAngles;
    y = 2./(1+exp(-poly2))-1;    
elseif strcmp(funcform,'logistShift')
    a = params(1);
    b = params(2);
    logShift=a*(arcAngles-b);
    y = 1./(1+exp(-logShift));    
    
elseif strcmp(funcform,'logistPoly2')
    a = params(1);
    b = params(2);
    poly2=a*arcAngles+b*arcAngles.^2;
    y = 2./(1+exp(-poly2))-1;
    
elseif strcmp(funcform,'logistPoly3')
    a = params(1);
    b = params(2);
    c = params(3);
    poly3=a*arcAngles+b*arcAngles.^2+c*arcAngles.^3;
    y = 2./(1+exp(-poly3))-1;
    %y = 2./(1+exp(-poly3));
end


