function [MEV_dAIC, maxCrv_dAIC, fixP_dAIC] = modComp(exper);

if strcmp(exper, 'E1')
    load('../datMats/E1_meanArrayCAComp.mat')
    load('../maxExp_E1E2_gain_loss/E1_MEVCA.mat')
    load('../EV_curvature/maxCurvCA_E1.mat')
    load('../fix_prob_analyses/E1_fitFixErrAvg.mat')
    nK = 3;
    nVal = 3;
    N = nK*nVal;
elseif strcmp(exper, 'E2')
    load('../datMats/E2_meanArrayCAComp.mat')
    load('../maxExp_E1E2_gain_loss/E2_MEVCA.mat')
    load('../EV_curvature/maxCurvCA_E2.mat')
    load('../fix_prob_analyses/E2_fitFixErrAvg.mat')
    nK = 3;
    nVal = 3;
    N = nK*nVal;
elseif strcmp(exper, 'E3')
    load('../datMats/E3_meanArrayCAComp.mat')
    load('../maxExp_E3_gain_loss/E3_MEVCA.mat')
    load('../EV_curvature/maxCurvCA_E3.mat')
    load('../fix_prob_analyses/E3_fitFixErrAvg.mat')
    nK = 4;
    nVal = 2;
    N = nK*nVal;
else
end

nPar_MEV = 0; % no free params
nPar_maxCrv = 0; % no free params
nPar_fixP = 1; % 1 param for each k value

% human data
humDat = datArrayMeanComp;

% get model RSS values (already have this for fixP) and associated AIC
% values
MEVMod = repmat(maxAng, nVal, 1);
sqrErrMEV = (MEVMod-humDat).^2;
MEV_RSS = sum(sqrErrMEV(:));

maxCrvMod = repmat(maxCurvCA, nVal, 1);
sqrErrMaxCrv = (maxCrvMod-humDat).^2;
maxCrv_RSS = sum(sqrErrMaxCrv(:));

fixP_RSS = fitErrAvg;

% get AIC vals (based on RSS)
MEV_dAIC = 2*nPar_MEV+N*log(MEV_RSS);
maxCrv_dAIC = 2*nPar_maxCrv+N*log(maxCrv_RSS);
fixP_dAIC = 2*nPar_fixP+N*log(fixP_RSS);
