function probCatch = calc_prob_catch3(nSims, K, occ_width, arcAngles, saveFlag)


inRad = 0.0625;
NtoOcc = nSims(1);
NunderOcc = nSims(2);
speed = 0.03; % m/s
fRate = 60;
%arcAngles = 1:1:120;

% Use all consistent data to date for human position variability
humSD = 11.96 % this is the average value over all data (in all K/Valence 
              % conditions) in 2.5cm condition so far (WGCM2012, E1(2019), E2(2019))

for i = 1:length(K)
    for j = 1:length(occ_width)
                        
        [toOcc, underOcc, absAngOut, absAngIn] = MC_mot_extrap2([NtoOcc NunderOcc], 0, K(i), [inRad inRad+occ_width(j)], speed, fRate, 0);
       
        for k = 1:length(arcAngles)
            findArray = zeros(NtoOcc, NunderOcc);
            catchArray = zeros(NtoOcc, NunderOcc);
            countArray = zeros(NtoOcc, 1);
            
            % angular difference between out angle setting and in angle 
            angDiff = ang180(absAngOut-repmat(absAngIn', 1, NunderOcc));
            % add on noise in setting arc to be aligned with line b/w
            % centre and point at which went behind occ (equivalent to
            % shifting the catcher)
            angDiff = ang180(angDiff+humSD*randn(NtoOcc, NunderOcc));
            inds = find(abs(angDiff) < arcAngles(k)/2);
            catchArray(inds) = ones(1, length(inds));
            % count the catches for the under occluder sections
            countArray = sum(catchArray, 2);
            % average counts over to occluder sections
            countAvg(k) = mean(countArray);
            probCatch(i, j, k) = countAvg(k)/NunderOcc;
        end
    end
end

if saveFlag
    fname = ['E3_probCatchHumNoise_newSD_FR60_', int2str(NtoOcc), '_', int2str(NunderOcc)];
    save(fname, 'probCatch');
end