function [pCatchE3, pCatchE1E2] = pCatchFinal()


load E1E2_probCatchHumNoise_newSD_FR60_100_1000.mat
E1E2100_1000 = probCatch;
load E1E2_probCatchHumNoise_newSD_FR60_200_5000.mat
E1E2200_5000 = probCatch;
load E3_probCatchHumNoise_newSD_FR60_100_1000.mat
E3100_1000 = probCatch;
load E3_probCatchHumNoise_newSD_FR60_200_5000.mat
E3200_5000 = probCatch;

% combine with P estimates using weighted average
weight100_1000 = (100*1000)/(100*1000 + 200*5000);
weight200_5000 = (200*5000)/(100*1000 + 200*5000);
E1E2 = weight100_1000 * E1E2100_1000 + ...
         weight200_5000 * E1E2200_5000;
     
E3 =     weight100_1000 * E3100_1000 + ...
         weight200_5000 * E3200_5000;

% now ensure that matched k values have same pCatch curve across P's
kE1E2 = [25 100 400]
kE3 = [25 50 75 100];

avg25 = (E3(1, :, :)+E1E2(1, :, :))/2;
avg100 = (E3(4, :, :)+ E1E2(2, :, :))/2;

pCatchE3 = E3;
pCatchE1E2 = E1E2;

pCatchE3(1, :, :) = avg25;
pCatchE3(4, :, :) = avg100;

pCatchE1E2(1, :, :) = avg25;
pCatchE1E2(2, :, :) = avg100;

probCatch = pCatchE3
save('E3_probCatchHumNoise_newSD_FR60_consistent.mat', 'probCatch');
probCatch = pCatchE1E2
save('E1E2_probCatchHumNoise_newSD_FR60_consistent.mat', 'probCatch');




end

